<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscErrorMessage</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscErrorMessage"><H1>PetscErrorMessage</H1></A>
returns the text string associated with a PETSc error code. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h" 
PetscErrorCode  PetscErrorMessage(int errnum,const char *text[],char **specific)
</PRE>
Not Collective
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<DT><B>errnum </B> -the error code
<br>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>text </B></TD><TD>- the error message (<A HREF="../Sys/PETSC_NULL.html#PETSC_NULL">PETSC_NULL</A> if not desired) 
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>specific </B></TD><TD>- the specific error message that was set with SETERRxxx() or <A HREF="../Sys/PetscError.html#PetscError">PetscError</A>().  (<A HREF="../Sys/PETSC_NULL.html#PETSC_NULL">PETSC_NULL</A> if not desired) 
</TD></TR></TABLE>
<P>

<P>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
  <A HREF="../Sys/PetscPushErrorHandler.html#PetscPushErrorHandler">PetscPushErrorHandler</A>(), <A HREF="../Sys/PetscAttachDebuggerErrorHandler.html#PetscAttachDebuggerErrorHandler">PetscAttachDebuggerErrorHandler</A>(), 
<BR><A HREF="../Sys/PetscAbortErrorHandler.html#PetscAbortErrorHandler">PetscAbortErrorHandler</A>(), <A HREF="../Sys/PetscTraceBackErrorHandler.html#PetscTraceBackErrorHandler">PetscTraceBackErrorHandler</A>()
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>developer
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/error/err.c.html#PetscErrorMessage">src/sys/error/err.c</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
